# frozen_string_literal: true

module API
  module Entities
    module JobRequest
      class GitInfo < Grape::Entity
        expose :repo_url, :ref, :sha, :before_sha
        expose :repo_type do |model|
          model.project.mercurial? ? 'hg' : 'git'
        end
        expose :hgsha do |model|
          proj = model.project
          proj.mercurial? ? proj.repository.hgsha_from_sha(model.sha) : nil
        end
        expose :ref_type
        expose :refspecs
        expose :git_depth, as: :depth
      end
    end
  end
end
