#!/bin/sh

set -e

# it's nicer for console output to add the extension right away
TARBALL=ci-$(cat VERSION).tar.xz

TARBALL_PATH=/tmp/${TARBALL}

echo "Generating ${TARBALL}"
# same paths as artifacts in upstream GitLab `setup-test-env` job and
# `compile-test-assets`, plus tmp/tests/hgitaly, minus build logs kept
# as artifacts
tar -c --xz -f ${TARBALL_PATH} \
  config/secrets.yml \
  public/assets \
  node_modules/@gitlab/svgs/dist/icons.json \
  vendor/ruby/ \
  vendor/gitaly-ruby/ \
  tmp/tests/gitaly \
  tmp/tests/hgitaly \
  tmp/tests/gitlab-shell \
  tmp/tests/gitlab-test-fork \
  tmp/tests/gitlab-test-fork_bare \
  tmp/tests/gitlab-test \
  tmp/tests/gitlab-workhorse \
  tmp/tests/repositories \
  tmp/tests/second_storage


if [ -n "$HEPTAPOD_TARBALL_UPLOAD_KEY" ]; then
    `dirname $0`/heptapod-sftp-push \
                upload.heptapod.net \
                "$HEPTAPOD_TARBALL_UPLOAD_KEY" \
                "${TARBALL_PATH}" \
                "public/gitlab-prebuilds/"
fi
