# frozen_string_literal: true

class CreateVulnerabilityExports < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  # rubocop:disable Migration/PreventStrings
  def change
    create_table :vulnerability_exports do |t|
      t.timestamps_with_timezone null: false
      t.datetime_with_timezone :started_at
      t.datetime_with_timezone :finished_at
      t.string :status, limit: 255, null: false
      t.string :file, limit: 255
      t.bigint :project_id, null: false
      t.bigint :author_id, null: false
      t.integer :file_store
      t.integer :format, limit: 2, null: false, default: 0

      t.index %i[project_id id], unique: true
      t.index %i[author_id]
    end
  end
  # rubocop:enable Migration/PreventStrings
end
