# frozen_string_literal: true

class AddVulnerabilityExportProjectForeignKey < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  def up
    with_lock_retries do
      add_foreign_key :vulnerability_exports, :projects, column: :project_id, on_delete: :cascade, index: false
    end
  end

  def down
    with_lock_retries do
      remove_foreign_key :vulnerability_exports, column: :project_id
    end
  end
end
