# frozen_string_literal: true

class CreatedIndexForVulnerabilityOccurrencesOnProjectFingerprint < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false
  INDEX_NAME = 'index_vulnerability_occurrences_on_project_fingerprint'

  disable_ddl_transaction!

  def up
    add_concurrent_index :vulnerability_occurrences, :project_fingerprint, name: INDEX_NAME
  end

  def down
    remove_concurrent_index_by_name :vulnerability_occurrences, INDEX_NAME
  end
end
