# frozen_string_literal: true

class AddDetailsToVulnerabilityFindings < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  DOWNTIME = false

  def up
    with_lock_retries do
      add_column :vulnerability_occurrences, :details, :jsonb, default: {}, null: false
    end
  end

  def down
    with_lock_retries do
      remove_column :vulnerability_occurrences, :details
    end
  end
end
