# frozen_string_literal: true

class RemoveTableVulnerabilityExportVerificationStatus < ActiveRecord::Migration[6.0]
  DOWNTIME = false

  def up
    return unless table_exists?(:vulnerability_export_verification_status)

    drop_table :vulnerability_export_verification_status
  end

  def down
    # no-op because `vulnerability_export_verification_status` table should not
    # be created, see https://gitlab.com/gitlab-org/gitlab/-/issues/232977
  end
end
